Skip to content

Preview a policy branch promotion

Request

Early AccessIdentity Engine
OAuth 2.0 scope:
  • okta.policies.manage

Previews whether promoting a DRAFT or STAGED branch to LIVE results in a conflict. liveBranchModified: true is returned in the response if the current LIVE branch has been modified since the branch was created.

Only applicable to ACCESS_POLICY type policies.

Path
policyIdstringrequired

id of the ACCESS_POLICY

Example:rst1d7xus97faIAgmti0
branchIdstringrequired

id of the policy branch

Example:rsb1d7xus97faIAgmti
GET
/api/v1/policies/{policyId}/branches/{branchId}/lifecycle/promote/preview
curl -i -X GET \
  https://subdomain.okta.com/api/v1/policies/rst1d7xus97faIAgmti0/branches/rsb1d7xus97faIAgmti/lifecycle/promote/preview

Responses

Success

Bodyapplication/json
liveBranchModifiedbooleanread-only

Indicates whether the current LIVE branch has been modified since this branch was created. If it's true, promoting this branch results in a conflict.

Response
{ "liveBranchModified": true }